Status: Resolved Priority: Should have
Author: Robert Lemke Category: Object
Created: 2008-12-10 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: automagic settings injection
Description

The object builder (setter autowiring) should have special support for injecting settings.

If a method "injectSettings" exists, the object builder will try to retrieve settings for the package the object is in and calls the
injectSettings method, passing these settings.

Associated revisions
Revision f53a8787 - 2009-01-05 16:09 - Robert Lemke

    -  FLOW3: (Object) Implemented support for magic injectSettings() methods. Resolves #2297
    -  FLOW3: (Documentation) Added documentation for the injectSettings feature.

History
#1 - 2008-12-30 15:32 - Robert Lemke
- Subject changed from injectSettings to automagic settings injection
- Status changed from New to Accepted

#2 - 2009-01-05 16:10 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1687.
